2 posts / 0 new
Last post
#1 Sat, 08/26/2006 - 18:39
Blueforce

Perl Modules

Hi Joe,

Was about to install Perl module Authen::PAM when I saw "The following Perl modules are recommended for installation by Webmin :" which hade three modules highlighted, Authen::PAM, Authen::Libwrap and IO::Tty

Does this mean that I should install the recommended(highlighted) modules?

Regards, Leif

Tue, 09/05/2006 - 15:40
Joe
Joe's picture

Hey Leif,

I've packaged up Authen::PAM and IO::Tty for all of the Red Hat based systems on i386 arch, and they're now in the repository. I suspect Authen::Libwrap won't be extremely useful in a web hosting environment, but I'll look a bit deeper to see if Virtualmin is using it for anything. I believe IO::Pty is also useful to Webmin in some circumstances (it's definitely used on Ubuntu to handle the unique no-root/sudo-for-everything default user creation), so I'll probably also package it up.

To install:

yum install perl-Authen-PAM perl-IO-Tty

SUSE already has perl-IO-Tty, which can be installed with:

yast -i perl-IO-Tty

And Mandriva has both packages in the core distribution:

urpmi.update -a
urpmi perl-Authen-PAM perl-IO-Tty

I'm building a package of Authen::PAM for SUSE as we speak. The x86_64 versions for the Red Hat-based systems will also be available in a couple of hours.

--

Check out the forum guidelines!